import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetPoultry = createAsyncThunk(
  "PROVINCE_GET_POULTRY",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("get-all-poultry/", {
      params: {
        role: getRoleFromUrl(),
        active_hatching: true,
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
